Name:           athena-kitty-config
Version:        0
Release:        1%{?dist}
Summary:        Kitty configuration for Athena.

License:        LicenseRef-Custom
URL:            https://gitlab.com/athenaos/packages/configuration/athena-kitty-config
Source0:        https://gitlab.com/athenaos/packages/configuration/athena-kitty-config/-/archive/main/%{name}-main.tar.gz

BuildArch:      noarch
Requires:       kitty
Requires:       jetbrains-mono-fonts-all

%description
Athena's default configuration for the Kitty terminal emulator.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build
:

%install
install -dm 755 %{buildroot}/etc/skel/.config/kitty

cp -r kitty-themes %{buildroot}/etc/skel/.config/kitty/
install -Dm 644 kitty.conf %{buildroot}/etc/skel/.config/kitty/

%files
%license
%doc
/etc/skel/.config/kitty/kitty.conf
/etc/skel/.config/kitty/kitty-themes

%changelog
* Fri Apr 19 2025 Little Owl <littleowl@athenaos.org> - 0-1
- Initial RPM release of Athena Kitty config
